com.google.web.bindery.requestfactory.server

## Class DeadEntityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.web.bindery.requestfactory.server.DeadEntityException

All Implemented Interfaces:
  java.io.Serializable

    class DeadEntityException
    extends java.lang.RuntimeException

Indicates the user attempted to perform an operation on an irretrievable entity.

### Constructor Summary

Constructors
Constructor and Description
`DeadEntityException(java.lang.String message)` Contructs a new `DeadEntityException` with a given message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeadEntityException

    public DeadEntityException(java.lang.String message)

Contructs a new `DeadEntityException` with a given message.

Parameters:
  `message` - a message String